searchData={"items":[{"type":"module","title":"QRZ","doc":"QRZ.com XML Data Service client for amateur radio callsign and DXCC lookups","ref":"QRZ.html"},{"type":"function","title":"QRZ.callsign/2","doc":"Callsign lookup","ref":"QRZ.html#callsign/2"},{"type":"function","title":"Parameters - QRZ.callsign/2","doc":"- key: QRZ.com session key (returned from login/2 function)\n  - callsign: amateur radio callsign to lookup","ref":"QRZ.html#callsign/2-parameters"},{"type":"function","title":"Examples - QRZ.callsign/2","doc":"iex> QRZ.callsign(\"d0cf9d7b...\", \"aa7bq\")\n    {:ok,\n      %QRZ.Schema.Callsign{\n        call: \"AA7BQ\",\n        xref: \"\",\n        aliases: \"N6UFT,AA7BQ/DL1,KJ6RK,AA7BQ/HR6\",\n        dxcc: \"291\",\n        first_name: \"FRED L\",\n        last_name: \"LLOYD\",\n        addr1: \"101 Radio Wave Lane\",\n        addr2: \"Phoenix\",\n        state: \"AZ\",\n        zip: \"85013\",\n        country: \"United States\",\n        ccode: \"271\",\n        lat: \"33.0\",\n        lon: \"-112.0\",\n        grid: \"DM33xm\",\n        county: \"Maricopa\",\n        fips: \"04013\",\n        land: \"United States\",\n        ef_date: \"2022-04-29\",\n        exp_date: \"2030-01-20\",\n        p_call: \"\",\n        class: \"E\",\n        codes: \"HAI\",\n        qsl_mgr: \"via QRZ\",\n        email: \"aa7bq@example.com\",\n        url: \"\",\n        u_views: \"335829\",\n        bio: \"12804\",\n        image: \"https://cdn-xml.qrz.com/q/aa7bq/fred1962.jpg\",\n        image_info: \"636:800:90801\",\n        serial: \"\",\n        mod_date: \"2022-10-09 17:32:38\",\n        msa: \"6200\",\n        area_code: \"602\",\n        timezone: \"Mountain\",\n        gmt_offset: \"-7\",\n        dst: \"N\",\n        eqsl: \"0\",\n        mqsl: \"0\",\n        cq_zone: \"3\",\n        itu_zone: \"6\",\n        born: \"1953\",\n        user: \"AA7BQ\",\n        lotw: \"0\",\n        iota: \"\",\n        geoloc: \"user\",\n        attn: \"AA7BQ\",\n        nickname: \"\",\n        name_fmt: \"FRED L LLOYD\"\n      }}\n\n\n    iex> QRZ.callsign(\"d0cf9d7b...\", \"N0CALL\")\n    {:error, \"Not found: N0CALL\"}","ref":"QRZ.html#callsign/2-examples"},{"type":"function","title":"QRZ.dxcc/2","doc":"DXCC entity lookup","ref":"QRZ.html#dxcc/2"},{"type":"function","title":"Parameters - QRZ.dxcc/2","doc":"- key: QRZ.com session key (returned from login/2 function)\n  - dxcc: lookup dxcc entity by entity code or by callsign","ref":"QRZ.html#dxcc/2-parameters"},{"type":"function","title":"Examples - QRZ.dxcc/2","doc":"iex> QRZ.dxcc(\"d0cf9d7b...\", \"291\")\n    {:ok,\n      %QRZ.Schema.DXCC{\n        dxcc: \"291\",\n        cc: \"US\",\n        ccc: \"USA\",\n        name: \"United States\",\n        continent: \"NA\",\n        itu_zone: \"0\",\n        cq_zone: \"0\",\n        timezone: \"-5\",\n        lat: \"37.701207\",\n        lon: \"-97.316895\",\n        notes: \"\"\n      }}\n\n\n    iex> QRZ.dxcc(\"d0cf9d7b...\", \"aa7bq\")\n    {:ok,\n      %QRZ.Schema.DXCC{\n        dxcc: \"291\",\n        cc: \"US\",\n        ccc: \"USA\",\n        name: \"United States\",\n        continent: \"NA\",\n        itu_zone: \"0\",\n        cq_zone: \"0\",\n        timezone: \"-5\",\n        lat: \"37.701207\",\n        lon: \"-97.316895\",\n        notes: \"\"\n      }}","ref":"QRZ.html#dxcc/2-examples"},{"type":"function","title":"QRZ.login/2","doc":"Login and get session info to make queries","ref":"QRZ.html#login/2"},{"type":"function","title":"Parameters - QRZ.login/2","doc":"- username: QRZ.com username\n  - password: QRZ.com password","ref":"QRZ.html#login/2-parameters"},{"type":"function","title":"Examples - QRZ.login/2","doc":"iex> QRZ.login(\"username\", \"password\")\n    {:ok,\n      %QRZ.Schema.Session{\n        key: \"d0cf9d7b3b937ed5f5de28ddf5a0122d\",\n        count: \"6115\",\n        sub_exp: \"Sat Mar  8 00:00:00 2025\",\n        gmt_time: \"Wed Oct 18 16:50:55 2023\",\n        message: \"\",\n        error: \"\"\n      }}\n\n\n    iex> QRZ.login(\"bad_username\", \"bad_password\")\n    {:error, \"Username/password incorrect \"}","ref":"QRZ.html#login/2-examples"},{"type":"module","title":"QRZ.Schema.Callsign","doc":"","ref":"QRZ.Schema.Callsign.html"},{"type":"module","title":"QRZ.Schema.DXCC","doc":"","ref":"QRZ.Schema.DXCC.html"},{"type":"module","title":"QRZ.Schema.QRZDatabase","doc":"","ref":"QRZ.Schema.QRZDatabase.html"},{"type":"module","title":"QRZ.Schema.Session","doc":"","ref":"QRZ.Schema.Session.html"},{"type":"module","title":"QRZ.XpathAccessor","doc":"","ref":"QRZ.XpathAccessor.html"},{"type":"extras","title":"QRZ","doc":"# QRZ\n\n[![hex.pm](https://img.shields.io/hexpm/v/qrz.svg)](https://hex.pm/packages/qrz)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-lightgreen.svg)](https://hexdocs.pm/qrz/)\n[![hex.pm](https://img.shields.io/hexpm/dt/qrz.svg)](https://hex.pm/packages/qrz)\n[![hex.pm](https://img.shields.io/hexpm/l/qrz.svg)](https://hex.pm/packages/qrz)\n\n[QRZ.com](https://www.qrz.com) elixir client for amateur radio callsign and DXCC lookups through their [XML Data Service](https://www.qrz.com/XML/current_spec.html).","ref":"readme.html"},{"type":"extras","title":"Installation - QRZ","doc":"The package can be installed by adding qrz to your list of dependencies in mix.exs (coming soon):\n\n```elixir\ndef deps do\n  [\n    {:qrz, \"~> 0.1.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - QRZ","doc":"Queries require a valid QRZ account with an active [XML Logbook Data Subscription](https://shop.qrz.com/). See QRZ module documentation for additional details.\n\n#","ref":"readme.html#usage"},{"type":"extras","title":"Login - QRZ","doc":"Login to get session key to use for lookups\n\n```elixir\n{:ok, session} = QRZ.login(\"username\", \"password\")\n#=> \n# {:ok,\n#   %QRZ.Schema.Session{\n#     key: \"d0cf9d7b3b937ed5f5de28ddf5a0122d\",\n#     count: \"6124\",\n#     sub_exp: \"Sat Mar  8 00:00:00 2025\",\n#     gmt_time: \"Wed Oct 18 17:09:55 2023\",\n#     message: \"\",\n#     error: \"\"\n#   }}\n\nsession.key\n#=> \"d0cf9d7b3b937ed5f5de28ddf5a0122d\"\n```\n\n#","ref":"readme.html#login"},{"type":"extras","title":"Callsign Lookup - QRZ","doc":"Lookup callsign information. See docs for full list of callsign struct fields\n\n```elixir\n{:ok, callsign} = QRZ.callsign(session.key, \"aa7bq\")\n#=> \n# {:ok,\n#   %QRZ.Schema.Callsign{\n#     call: \"AA7BQ\",\n#     xref: \"\",\n#     aliases: \"N6UFT,AA7BQ/DL1,KJ6RK,AA7BQ/HR6\",\n#     dxcc: \"291\",\n#     first_name: \"FRED L\",\n#     last_name: \"LLOYD\",\n#     ...\n#   }}\n\ncallsign.call\n#=> \"AA7BQ\"\n\ncallsign.email\n#=> \"aa7bq@example.com\"\n```\n\n#","ref":"readme.html#callsign-lookup"},{"type":"extras","title":"DXCC Lookup - QRZ","doc":"Lookup DXCC entity information by entity code or callsign\n\n```elixir\n{:ok, dxcc} = QRZ.dxcc(session.key, \"291\")\n#=> \n# {:ok,\n#   %QRZ.Schema.DXCC{\n#     dxcc: \"291\",\n#     cc: \"US\",\n#     ccc: \"USA\",\n#     name: \"United States\",\n#     continent: \"NA\",\n#     itu_zone: \"0\",\n#     cq_zone: \"0\",\n#     timezone: \"-5\",\n#     lat: \"37.701207\",\n#     lon: \"-97.316895\",\n#     notes: \"\"\n#   }}\n\ndxcc.lat\n#=> \"37.701207\"\n\ndxcc.timezone\n#=> \"-5\"\n```","ref":"readme.html#dxcc-lookup"},{"type":"extras","title":"LICENSE","doc":"MIT License\n\nCopyright (c) 2023 Bryce Johnston\n\nPermission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\ncopies of the Software, and to permit persons to whom the Software is\nfurnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all\ncopies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\nSOFTWARE.","ref":"license.html"}],"content_type":"text/markdown"}